Bug 824357 - Review Request: Graphite-web - web UI for Graphite
Review Request: Graphite-web - web UI for Graphite
Status: CLOSED DUPLICATE of bug 849379
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Praveen Kumar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-23 06:31 EDT by Aditya Patawari
Modified: 2012-11-24 19:23 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-24 19:23:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rpmlint error and warning message (15.91 KB, text/plain)
2012-05-24 00:01 EDT, Praveen Kumar
no flags Details

  None (edit)
Description Aditya Patawari 2012-05-23 06:31:36 EDT
SPEC: http://adimania.fedorapeople.org/graphite/graphite-web.spec
SRPM: http://adimania.fedorapeople.org/graphite/graphite-web-0.9.9-1.fc17.src.rpm
koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4096024

Graphite-web provides with an interface to visualize the data collected by carbon. It also provides with an api to do various tasks like aggregation of data, merging graphs etc.
Comment 1 Praveen Kumar 2012-05-24 00:01:42 EDT
Created attachment 586526 [details]
rpmlint error and warning message
Comment 2 Praveen Kumar 2012-05-24 00:03:26 EDT
[daredevil@pkumar222 SPECS]$ rpmlint -i graphite-web.spec  ../SRPMS/graphite-web-0.9.9-1.fc17.src.rpm ../RPMS/noarch/graphite-web-0.9.9-1.fc17.noarch.rpm > rpmlint.txt

Output: 2 packages and 1 specfiles checked; 6 errors, 25 warnings. please check attachment and resolve error and warning messages.
Comment 3 Aditya Patawari 2012-05-24 02:54:52 EDT
I have resolved the license warning and non-executable-script errors. There are several warnings related to spelling which I think are bogus.
script-without-shebang errors are .js files. I don't know what shebang they should have or if they should have any shebang at all or not.
Comment 4 Praveen Kumar 2012-05-25 00:30:21 EDT
Script-without-shebang in .js files because they contain executable permission, if you add "chmod -x webapp/content/js/window/*.js" in prep section, you can get rid of those errors. Except spelling warning, it also contain some other warnings which I am currently not sure how to handles those.

graphite-web.noarch: W: dangling-symlink /usr/lib/python2.7/site-packages/graphite/local_settings.py /etc/graphite/local_settings.py
graphite-web.noarch: W: non-conffile-in-etc /etc/graphite/dashboard.conf.example
graphite-web.noarch: W: non-standard-uid /var/log/graphite graphite
graphite-web.noarch: W: non-standard-gid /var/log/graphite graphite
graphite-web.noarch: W: non-conffile-in-etc /etc/graphite/local_settings.py.example
graphite-web.noarch: W: non-standard-uid /var/log/graphite/webapp graphite
graphite-web.noarch: W: non-standard-gid /var/log/graphite/webapp graphite
Comment 5 Jonathan Steffan 2012-11-24 19:23:06 EST
Thanks for your interest in contributing packages. We have an active review for graphite-web that is close to finished with review. Once this package gets approved, feel free to request co-maintainership of the package.

https://bugzilla.redhat.com/show_bug.cgi?id=849379

Thanks.

*** This bug has been marked as a duplicate of bug 849379 ***

Note You need to log in before you can comment on or make changes to this bug.